<template>
  <section class="box container">
    <div class="gravatar-container">
      <img class="gravatar" :src="user.gravatar" alt="Ваш Gravatar"/>
    </div>
    <h2 class="username-large">{{user.username}}</h2>
    <span class="user-email">{{user.email}}</span>
  </section>
</template>

<script>
  export default {
    name: "UserCard",
    props: ["user"],
    data() {
      return {

      }
    }
  }
</script>

<style scoped>
.container {
  height: 200px;
  display: grid;
  grid-template-rows: 60px auto;
  grid-template-columns: 120px auto;
}

.gravatar-container {
  grid-column: 1;
  grid-row: 1 / 2;
  width: 96px;
  height: 96px;
  border-radius: 50%;
  overflow: hidden;
}

.username-large {
  grid-column: 2;
  grid-row: 1;
}

.user-email {
  grid-column: 2;
  grid-row: 2;
}

.gravatar {
  width: 100%;
  height: 100%;
  object-fit: contain;
  margin: 0;
  padding: 0;
}
</style>
